<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Decomposer Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1Decomposer.html">Decomposer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="structCatch_1_1Decomposer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Decomposer Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4b1e5e844c20e5a90e3d759d216674cd"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a4b1e5e844c20e5a90e3d759d216674cd"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="structCatch_1_1Decomposer.html#a4b1e5e844c20e5a90e3d759d216674cd">operator&lt;=</a> (T const &amp;lhs) -&gt; <a class="el" href="classCatch_1_1ExprLhs.html">ExprLhs</a>&lt; T const &amp; &gt;</td></tr>
<tr class="separator:a4b1e5e844c20e5a90e3d759d216674cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac129b94903ae1339d5709049d83613b"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Decomposer.html#aac129b94903ae1339d5709049d83613b">operator&lt;=</a> (bool value) -&gt; <a class="el" href="classCatch_1_1ExprLhs.html">ExprLhs</a>&lt; bool &gt;</td></tr>
<tr class="separator:aac129b94903ae1339d5709049d83613b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b1e5e844c20e5a90e3d759d216674cd"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a4b1e5e844c20e5a90e3d759d216674cd"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="structCatch_1_1Decomposer.html#a4b1e5e844c20e5a90e3d759d216674cd">operator&lt;=</a> (T const &amp;lhs) -&gt; <a class="el" href="classCatch_1_1ExprLhs.html">ExprLhs</a>&lt; T const &amp; &gt;</td></tr>
<tr class="separator:a4b1e5e844c20e5a90e3d759d216674cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac129b94903ae1339d5709049d83613b"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Decomposer.html#aac129b94903ae1339d5709049d83613b">operator&lt;=</a> (bool value) -&gt; <a class="el" href="classCatch_1_1ExprLhs.html">ExprLhs</a>&lt; bool &gt;</td></tr>
<tr class="separator:aac129b94903ae1339d5709049d83613b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aac129b94903ae1339d5709049d83613b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac129b94903ae1339d5709049d83613b">&#9670;&nbsp;</a></span>operator&lt;=() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::Decomposer::operator&lt;= </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1ExprLhs.html">ExprLhs</a>&lt;bool&gt; </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aac129b94903ae1339d5709049d83613b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac129b94903ae1339d5709049d83613b">&#9670;&nbsp;</a></span>operator&lt;=() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::Decomposer::operator&lt;= </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1ExprLhs.html">ExprLhs</a>&lt;bool&gt; </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4b1e5e844c20e5a90e3d759d216674cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b1e5e844c20e5a90e3d759d216674cd">&#9670;&nbsp;</a></span>operator&lt;=() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::Decomposer::operator&lt;= </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1ExprLhs.html">ExprLhs</a>&lt;T const&amp;&gt; </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4b1e5e844c20e5a90e3d759d216674cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b1e5e844c20e5a90e3d759d216674cd">&#9670;&nbsp;</a></span>operator&lt;=() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::Decomposer::operator&lt;= </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1ExprLhs.html">ExprLhs</a>&lt;T const&amp;&gt; </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
